% Model

% Flows in the column (feed liquid; constant molar flows)
V1=V; V2=V; V3=V;
L4=L; L3=L; L2=L+F;
D=V3-L4; B=L2-V1;

% Vapor-liquid equlibrium (constant relative voloatility)
y(1) = alfa*x(1)/(1+(alfa-1)*x(1));
y(2) = alfa*x(2)/(1+(alfa-1)*x(2));
y(3) = alfa*x(3)/(1+(alfa-1)*x(3));
y(4) = x(4);  % total condenser

% Component balances
DXDT(1) = L2*x(2)-V1*y(1)-B*x(1);
DXDT(2) = L3*x(3)+V1*y(1)-L2*x(2)-V2*y(2)+F*zF;
DXDT(3) = L4*x(4)+V2*y(2)-L3*x(3)-V3*y(3);
DXDT(4) = V3*y(3)-L4*x(4)-D*x(4);

% Change vector DXDT to a column vector (MATLAB requires this...)
DXDT = DXDT';
